<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: cmap.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">cmap.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef V1_1_CMAP_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define V1_1_CMAP_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;entities.h&quot;</span>   <span class="comment">//also includes coords.h, config.h</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;list&gt;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classCMap.html">   11</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCMap.html">CMap</a> {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keywordtype">int</span>                          m_width;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="keywordtype">int</span>                          m_height;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    vector &lt; vector&lt;CEntity *&gt; &gt; m_map;           </div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classCMap.html#a83f276905fd7775cff5caec2213ad4ba">   16</a></span>&#160;    vector &lt; CEntrance * &gt;       <a class="code" href="classCMap.html#a83f276905fd7775cff5caec2213ad4ba">m_entrances</a>;     </div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classCMap.html#a1b4136ff04e5b0a8bdddce35cac2bdc3">   17</a></span>&#160;    vector &lt; CTower * &gt;          <a class="code" href="classCMap.html#a1b4136ff04e5b0a8bdddce35cac2bdc3">m_towers</a>;        </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classCMap.html#aced938754bde134a7328ce07f165a35f">   18</a></span>&#160;    vector &lt; CAttacker * &gt;       <a class="code" href="classCMap.html#aced938754bde134a7328ce07f165a35f">m_attackers</a>;     </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classCMap.html#ac4bc5163a72180a278a9632982f94044">   19</a></span>&#160;    <a class="code" href="classCExit.html">CExit</a> *                      <a class="code" href="classCMap.html#ac4bc5163a72180a278a9632982f94044">m_exit</a>;          </div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keywordtype">bool</span>                         <a class="code" href="classCMap.html#a1a9f22dff924fdc5ab2f32cca499ae78">isWall</a>           ( <span class="keywordtype">char</span> symbol ) <span class="keyword">const</span> ;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    list&lt;TCoord&gt;                 <a class="code" href="classCMap.html#aa164bc88913e4f4bf195cf5866d50ae1">pathToEnd</a>        ( <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y ) <span class="keyword">const</span>;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keywordtype">int</span>                          <a class="code" href="classCMap.html#a445c3a53ab00befbaf0311c6be138f0b">searchMapBFS</a>     ( vector&lt;vector&lt;int&gt;&gt; &amp; beenThere, <span class="keywordtype">int</span> r, <span class="keywordtype">int</span> c) <span class="keyword">const</span>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keywordtype">bool</span>                         <a class="code" href="classCMap.html#ad5fc08d1b96fb733afc7157b4c3474ab">searchPath</a>       ( vector&lt;vector&lt;int&gt;&gt; &amp; beenThere, list&lt;TCoord&gt; &amp; res,</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;                                                    <span class="keywordtype">int</span> r, <span class="keywordtype">int</span> c, <span class="keywordtype">int</span> dst) <span class="keyword">const</span>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <a class="code" href="classCEntity.html">CEntity</a> *                    <a class="code" href="classCMap.html#a0279edd8c7ac41c9f2d486d8c52363ef">readSymbol</a>       ( <span class="keywordtype">char</span> symbol , <span class="keywordtype">int</span> xPos);</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordtype">bool</span>                         <a class="code" href="classCMap.html#a2e2eee33b6c11437f24016c2a0cbe717">parseLine</a>        ( <span class="keyword">const</span> <span class="keywordtype">string</span> &amp; line );</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">friend</span> ostream &amp;             <a class="code" href="classCMap.html#af020fb7da4218a8b60a68a4967d54190">operator &lt;&lt;      </a>( ostream &amp; os, <span class="keyword">const</span> <a class="code" href="classCMap.html">CMap</a> &amp; map);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;            <a class="code" href="classCMap.html#a7ad71523562247ed2183e57eaed018e8">CMap</a>            ( );</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;            <a class="code" href="classCMap.html#a7ad71523562247ed2183e57eaed018e8">CMap</a>            ( <span class="keyword">const</span> <a class="code" href="classCMap.html">CMap</a> &amp; src ) = <span class="keyword">delete</span>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;            <a class="code" href="classCMap.html#a9419f5696c22e9569612b79db2872e02">~CMap</a>();</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keywordtype">void</span>    operator =      ( <span class="keyword">const</span> <a class="code" href="classCMap.html">CMap</a> &amp; src ) = <span class="keyword">delete</span>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keywordtype">bool</span>    <a class="code" href="classCMap.html#a81b1455b027bde5aec22ecb2cd043948">loadMap</a>         ( <span class="keyword">const</span> <span class="keywordtype">string</span> &amp; filename );</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordtype">bool</span>    <a class="code" href="classCMap.html#ac26b13c84537f825a49154c4a5770adf">saveAttackers</a>   ( ofstream &amp; ofs );</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordtype">bool</span>    <a class="code" href="classCMap.html#a65425056b43f3a075e3853633068df69">saveTowers</a>      ( ofstream &amp; ofs );</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordtype">bool</span>    <a class="code" href="classCMap.html#abdfc1587418bbd8831a6531676546c84">findPaths</a>       ( );</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordtype">bool</span>    <a class="code" href="classCMap.html#a2ea7a54397f9c59ad71336e404a3742f">addAttacker</a>     ( <span class="keyword">const</span> <a class="code" href="classCAttacker.html">CAttacker</a> &amp; attacker, <span class="keywordtype">int</span> entranceNr );</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">bool</span>    <a class="code" href="classCMap.html#a2ea7a54397f9c59ad71336e404a3742f">addAttacker</a>     ( <span class="keyword">const</span> <a class="code" href="classCAttacker.html">CAttacker</a> &amp; attacker, <span class="keywordtype">int</span> entranceNr, <span class="keywordtype">int</span> hp, <span class="keywordtype">int</span> steps );</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">bool</span>    <a class="code" href="classCMap.html#aef9e55cf59ab4910a6038825b764d9f3">addTower</a>        ( <span class="keyword">const</span> <a class="code" href="classCTower.html">CTower</a>    &amp; tower   , <span class="keywordtype">int</span> row, <span class="keywordtype">int</span> col );</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordtype">int</span>     attackerCnt     ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> (<span class="keywordtype">int</span>) m_attackers.size(); } </div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordtype">int</span>     <a class="code" href="classCMap.html#af5e4fc1b61feccf74206750c707a4d6d">move</a>            ( <span class="keywordtype">int</span> maxSp );</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">int</span>     <a class="code" href="classCMap.html#a678015d1e44f663d9de647dd11441581">resetSpeed</a>      ( );</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">bool</span>    <a class="code" href="classCMap.html#a1cfe216c9f40c5e1f3c52a0eee44c63c">displaceTowers</a>  ( <span class="keyword">const</span> vector&lt;pair &lt;CTower*, int&gt;&gt; &amp;towers );</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keywordtype">void</span>    <a class="code" href="classCMap.html#a6c365e0f2fd6f5c368416157129f8039">attack</a>          ( <span class="keywordtype">bool</span> towers );</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">int</span>     width           ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_width;}</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;};</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#endif //V1_1_CMAP_H</span></div><div class="ttc" id="classCMap_html_a9419f5696c22e9569612b79db2872e02"><div class="ttname"><a href="classCMap.html#a9419f5696c22e9569612b79db2872e02">CMap::~CMap</a></div><div class="ttdeci">~CMap()</div><div class="ttdoc">destructor, deletes allocated memory </div><div class="ttdef"><b>Definition:</b> cmap.cpp:481</div></div>
<div class="ttc" id="classCMap_html_af020fb7da4218a8b60a68a4967d54190"><div class="ttname"><a href="classCMap.html#af020fb7da4218a8b60a68a4967d54190">CMap::operator&lt;&lt;</a></div><div class="ttdeci">friend ostream &amp; operator&lt;&lt;(ostream &amp;os, const CMap &amp;map)</div><div class="ttdoc">Prints whole map with numbered entrances and running attackers. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:95</div></div>
<div class="ttc" id="classCMap_html_a7ad71523562247ed2183e57eaed018e8"><div class="ttname"><a href="classCMap.html#a7ad71523562247ed2183e57eaed018e8">CMap::CMap</a></div><div class="ttdeci">CMap()</div><div class="ttdoc">Constructor, initializes member values. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:11</div></div>
<div class="ttc" id="classCMap_html_a1cfe216c9f40c5e1f3c52a0eee44c63c"><div class="ttname"><a href="classCMap.html#a1cfe216c9f40c5e1f3c52a0eee44c63c">CMap::displaceTowers</a></div><div class="ttdeci">bool displaceTowers(const vector&lt; pair&lt; CTower *, int &gt;&gt; &amp;towers)</div><div class="ttdoc">AI which displaces towers at random across the game map. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:361</div></div>
<div class="ttc" id="classCMap_html_a2e2eee33b6c11437f24016c2a0cbe717"><div class="ttname"><a href="classCMap.html#a2e2eee33b6c11437f24016c2a0cbe717">CMap::parseLine</a></div><div class="ttdeci">bool parseLine(const string &amp;line)</div><div class="ttdoc">Parses a string which was read from input file. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:83</div></div>
<div class="ttc" id="classCMap_html_aced938754bde134a7328ce07f165a35f"><div class="ttname"><a href="classCMap.html#aced938754bde134a7328ce07f165a35f">CMap::m_attackers</a></div><div class="ttdeci">vector&lt; CAttacker *&gt; m_attackers</div><div class="ttdoc">towers that are currently in the map </div><div class="ttdef"><b>Definition:</b> cmap.h:18</div></div>
<div class="ttc" id="classCMap_html_af5e4fc1b61feccf74206750c707a4d6d"><div class="ttname"><a href="classCMap.html#af5e4fc1b61feccf74206750c707a4d6d">CMap::move</a></div><div class="ttdeci">int move(int maxSp)</div><div class="ttdoc">Returns how many attackers are in map. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:316</div></div>
<div class="ttc" id="classCMap_html"><div class="ttname"><a href="classCMap.html">CMap</a></div><div class="ttdoc">This class represents a map ( game plan ) with all game objects and entities ( attacker / tower / pat...</div><div class="ttdef"><b>Definition:</b> cmap.h:11</div></div>
<div class="ttc" id="classCMap_html_ad5fc08d1b96fb733afc7157b4c3474ab"><div class="ttname"><a href="classCMap.html#ad5fc08d1b96fb733afc7157b4c3474ab">CMap::searchPath</a></div><div class="ttdeci">bool searchPath(vector&lt; vector&lt; int &gt;&gt; &amp;beenThere, list&lt; TCoord &gt; &amp;res, int r, int c, int dst) const</div><div class="ttdoc">Finds actual path and fills list with coordinates using a map filled by BFS. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:196</div></div>
<div class="ttc" id="classCTower_html"><div class="ttname"><a href="classCTower.html">CTower</a></div><div class="ttdoc">Tower is one of the main game objects, it can attack and defend itself from other attackers...</div><div class="ttdef"><b>Definition:</b> entities.h:29</div></div>
<div class="ttc" id="classCAttacker_html"><div class="ttname"><a href="classCAttacker.html">CAttacker</a></div><div class="ttdoc">Attacker is one of the main game objects, it can attack and defend itself from other towers...</div><div class="ttdef"><b>Definition:</b> entities.h:60</div></div>
<div class="ttc" id="classCMap_html_a6c365e0f2fd6f5c368416157129f8039"><div class="ttname"><a href="classCMap.html#a6c365e0f2fd6f5c368416157129f8039">CMap::attack</a></div><div class="ttdeci">void attack(bool towers)</div><div class="ttdoc">Performs an attack on every object in each attacker&amp;#39;s / tower&amp;#39;s distance deletes an attacker/tower if...</div><div class="ttdef"><b>Definition:</b> cmap.cpp:395</div></div>
<div class="ttc" id="classCMap_html_a1a9f22dff924fdc5ab2f32cca499ae78"><div class="ttname"><a href="classCMap.html#a1a9f22dff924fdc5ab2f32cca499ae78">CMap::isWall</a></div><div class="ttdeci">bool isWall(char symbol) const</div><div class="ttdoc">exit that are currently in the map </div><div class="ttdef"><b>Definition:</b> cmap.cpp:47</div></div>
<div class="ttc" id="classCMap_html_ac26b13c84537f825a49154c4a5770adf"><div class="ttname"><a href="classCMap.html#ac26b13c84537f825a49154c4a5770adf">CMap::saveAttackers</a></div><div class="ttdeci">bool saveAttackers(ofstream &amp;ofs)</div><div class="ttdoc">Saves every attacker on map to file. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:464</div></div>
<div class="ttc" id="classCMap_html_aef9e55cf59ab4910a6038825b764d9f3"><div class="ttname"><a href="classCMap.html#aef9e55cf59ab4910a6038825b764d9f3">CMap::addTower</a></div><div class="ttdeci">bool addTower(const CTower &amp;tower, int row, int col)</div><div class="ttdoc">Adds tower to map. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:301</div></div>
<div class="ttc" id="classCMap_html_a83f276905fd7775cff5caec2213ad4ba"><div class="ttname"><a href="classCMap.html#a83f276905fd7775cff5caec2213ad4ba">CMap::m_entrances</a></div><div class="ttdeci">vector&lt; CEntrance *&gt; m_entrances</div><div class="ttdoc">all game objects in 2D vector </div><div class="ttdef"><b>Definition:</b> cmap.h:16</div></div>
<div class="ttc" id="classCMap_html_a678015d1e44f663d9de647dd11441581"><div class="ttname"><a href="classCMap.html#a678015d1e44f663d9de647dd11441581">CMap::resetSpeed</a></div><div class="ttdeci">int resetSpeed()</div><div class="ttdoc">Sets speed counter of all attackers to 0. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:346</div></div>
<div class="ttc" id="classCMap_html_a0279edd8c7ac41c9f2d486d8c52363ef"><div class="ttname"><a href="classCMap.html#a0279edd8c7ac41c9f2d486d8c52363ef">CMap::readSymbol</a></div><div class="ttdeci">CEntity * readSymbol(char symbol, int xPos)</div><div class="ttdoc">Determines what symbol loaded from map represents, returns an object of class derived from CEntity...</div><div class="ttdef"><b>Definition:</b> cmap.cpp:58</div></div>
<div class="ttc" id="classCEntity_html"><div class="ttname"><a href="classCEntity.html">CEntity</a></div><div class="ttdoc">Abstract class, used to store entities to map. </div><div class="ttdef"><b>Definition:</b> entities.h:17</div></div>
<div class="ttc" id="classCMap_html_abdfc1587418bbd8831a6531676546c84"><div class="ttname"><a href="classCMap.html#abdfc1587418bbd8831a6531676546c84">CMap::findPaths</a></div><div class="ttdeci">bool findPaths()</div><div class="ttdoc">Finds path to exit for every start in map, stores it into relevant CEntrance Replaces CFreeSpace by C...</div><div class="ttdef"><b>Definition:</b> cmap.cpp:244</div></div>
<div class="ttc" id="classCMap_html_a81b1455b027bde5aec22ecb2cd043948"><div class="ttname"><a href="classCMap.html#a81b1455b027bde5aec22ecb2cd043948">CMap::loadMap</a></div><div class="ttdeci">bool loadMap(const string &amp;filename)</div><div class="ttdoc">Loads a map and fills it with elements from file. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:23</div></div>
<div class="ttc" id="classCExit_html"><div class="ttname"><a href="classCExit.html">CExit</a></div><div class="ttdoc">represents exit, place where attackers are heading </div><div class="ttdef"><b>Definition:</b> entities.h:152</div></div>
<div class="ttc" id="classCMap_html_a65425056b43f3a075e3853633068df69"><div class="ttname"><a href="classCMap.html#a65425056b43f3a075e3853633068df69">CMap::saveTowers</a></div><div class="ttdeci">bool saveTowers(ofstream &amp;ofs)</div><div class="ttdoc">Saves every tower on map to file. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:474</div></div>
<div class="ttc" id="classCMap_html_a1b4136ff04e5b0a8bdddce35cac2bdc3"><div class="ttname"><a href="classCMap.html#a1b4136ff04e5b0a8bdddce35cac2bdc3">CMap::m_towers</a></div><div class="ttdeci">vector&lt; CTower *&gt; m_towers</div><div class="ttdoc">entrances that are currently in the map </div><div class="ttdef"><b>Definition:</b> cmap.h:17</div></div>
<div class="ttc" id="classCMap_html_a445c3a53ab00befbaf0311c6be138f0b"><div class="ttname"><a href="classCMap.html#a445c3a53ab00befbaf0311c6be138f0b">CMap::searchMapBFS</a></div><div class="ttdeci">int searchMapBFS(vector&lt; vector&lt; int &gt;&gt; &amp;beenThere, int r, int c) const</div><div class="ttdoc">Fills an empty 2D vector beenThere using BFS algorithm, stops when end is reached. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:152</div></div>
<div class="ttc" id="classCMap_html_a2ea7a54397f9c59ad71336e404a3742f"><div class="ttname"><a href="classCMap.html#a2ea7a54397f9c59ad71336e404a3742f">CMap::addAttacker</a></div><div class="ttdeci">bool addAttacker(const CAttacker &amp;attacker, int entranceNr)</div><div class="ttdoc">Add attacker to entrance specified by second parameter. </div><div class="ttdef"><b>Definition:</b> cmap.cpp:274</div></div>
<div class="ttc" id="classCMap_html_ac4bc5163a72180a278a9632982f94044"><div class="ttname"><a href="classCMap.html#ac4bc5163a72180a278a9632982f94044">CMap::m_exit</a></div><div class="ttdeci">CExit * m_exit</div><div class="ttdoc">attackers that are currently in the map </div><div class="ttdef"><b>Definition:</b> cmap.h:19</div></div>
<div class="ttc" id="classCMap_html_aa164bc88913e4f4bf195cf5866d50ae1"><div class="ttname"><a href="classCMap.html#aa164bc88913e4f4bf195cf5866d50ae1">CMap::pathToEnd</a></div><div class="ttdeci">list&lt; TCoord &gt; pathToEnd(int x, int y) const</div><div class="ttdoc">Finds a path from [row][col] to end, returns a list of coordinates to get there Throws an exception i...</div><div class="ttdef"><b>Definition:</b> cmap.cpp:130</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
